GET /api/fleet/proxies/{itemId}

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/proxies/{itemId}

Refer to Spaces for more information.

Get a proxy by ID.

[Required authorization] Route required privileges: fleet-settings-read.

Path parameters

  • itemId string Required

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • item object Required

      Additional properties are NOT allowed.

      Hide item attributes Show item attributes object
      • certificate string | null
      • certificate_authorities string | null
      • certificate_key string | null
      • id string Required
      • is_preconfigured boolean

        Default value is false.

      • name string Required
      • proxy_headers object | null
      • url string Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
  • 404 application/json

    Not Found

GET /api/fleet/proxies/{itemId}
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/proxies/{itemId}' \
 --header "Authorization: $API_KEY"
Response examples (200)
A Fleet proxy
{
  "item": {
    "id": "proxy-id-1",
    "is_preconfigured": false,
    "name": "My proxy",
    "url": "http://proxy.example.com:3128"
  }
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
Response examples (404)
No proxy was found with the given ID
{
  "error": "Not Found",
  "message": "Fleet proxy proxy-id-1 not found",
  "statusCode": 404
}